### Method

# Gtk.Button.get_label

#### Declaration [src]

    const char*
    gtk_button_get_label (
      GtkButton* button
    )

#### Description [src]

Fetches the text from the label of the button.

If the label text has not been set with `gtk_button_set_label()` the return value will be `NULL`. This will be the case if you create an empty button with `gtk_button_new()` to use as a container.

Gets property | `Gtk.Button:label`

#### Return value

Returns: `const char*`
The text of the label widget. This string is owned by the widget and must not be modified or freed.
Ownership is not transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string